Bug 241847 - net/rubygem-google-cloud-bigquery: Update to 1.18.0
Summary: net/rubygem-google-cloud-bigquery: Update to 1.18.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-11-09 21:39 UTC by MIHIRA Sanpei Yoshiro
Modified: 2019-12-13 07:05 UTC (History)
1 user (show)

See Also:


Attachments
Patch to update to 1.18.0 (1.01 KB, patch)
2019-11-09 21:39 UTC, MIHIRA Sanpei Yoshiro
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description MIHIRA Sanpei Yoshiro freebsd_committer 2019-11-09 21:39:52 UTC
Created attachment 209024 [details]
Patch to update to 1.18.0

Update to 1.18.0


    Add optional query parameter types
        Allow query parameters to be nil/NULL when providing an optional
        Add types argument to the following methods:
            Project#query
            Project#query_job
            Dataset#query
            Dataset#query_job
    Add param types helper methods
        Return the BigQuery field type code, using the same format as the
        Add Schema::Field#param_type
        Add Schema#param_types
        Add Data#param_types
        Add Table#param_types
        Add External::CvsSource#param_types
        Add External::JsonSource#param_types
    Add support for all_users special role in Dataset access
Comment 1 Automation User 2019-11-09 21:55:11 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/94844251
Comment 2 Koichiro Iwao freebsd_committer 2019-12-09 09:00:10 UTC
You can commit it, right? Let's go ahead if you don't have concerns.
Comment 3 MIHIRA Sanpei Yoshiro freebsd_committer 2019-12-12 13:59:40 UTC
Unfortunately, I lost my commit bit for ports.
Comment 4 commit-hook freebsd_committer 2019-12-13 06:44:27 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Dec 13 06:43:51 UTC 2019
New revision: 520001
URL: https://svnweb.freebsd.org/changeset/ports/520001

Log:
  Update to 1.18.0

  Changes:	https://github.com/googleapis/google-cloud-ruby/releases
  		https://github.com/googleapis/google-cloud-ruby/blob/master/google-cloud-bigquery/CHANGELOG.md
  PR:		241847
  Submitted by:	sanpei (maintainer)

Changes:
  head/net/rubygem-google-cloud-bigquery/Makefile
  head/net/rubygem-google-cloud-bigquery/distinfo
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-12-13 07:05:36 UTC
Committed. Thanks!